nxt

## Interface Appendix

- All Known Subinterfaces:
    Attachment, Attachment.ShufflingAttachment
  All Known Implementing Classes:
    Appendix.AbstractAppendix, Appendix.AbstractEncryptedMessage, Appendix.EncryptedMessage, Appendix.EncryptToSelfMessage, Appendix.Message, Appendix.Phasing, Appendix.PrunableEncryptedMessage, Appendix.PrunablePlainMessage, Appendix.PublicKeyAnnouncement, Appendix.UnencryptedEncryptedMessage, Appendix.UnencryptedEncryptToSelfMessage, Appendix.UnencryptedPrunableEncryptedMessage, Attachment.AbstractAttachment, Attachment.AbstractShufflingAttachment, Attachment.AccountControlEffectiveBalanceLeasing, Attachment.ColoredCoinsAskOrderCancellation, Attachment.ColoredCoinsAskOrderPlacement, Attachment.ColoredCoinsAssetDelete, Attachment.ColoredCoinsAssetIncrease, Attachment.ColoredCoinsAssetIssuance, Attachment.ColoredCoinsAssetProperty, Attachment.ColoredCoinsAssetPropertyDelete, Attachment.ColoredCoinsAssetQuantity, Attachment.ColoredCoinsAssetTransfer, Attachment.ColoredCoinsBidOrderCancellation, Attachment.ColoredCoinsBidOrderPlacement, Attachment.ColoredCoinsDividendPayment, Attachment.ColoredCoinsOrderCancellation, Attachment.ColoredCoinsOrderPlacement, Attachment.DigitalGoodsDelisting, Attachment.DigitalGoodsDelivery, Attachment.DigitalGoodsFeedback, Attachment.DigitalGoodsListing, Attachment.DigitalGoodsPriceChange, Attachment.DigitalGoodsPurchase, Attachment.DigitalGoodsQuantityChange, Attachment.DigitalGoodsRefund, Attachment.EmptyAttachment, Attachment.MessagingAccountInfo, Attachment.MessagingAccountProperty, Attachment.MessagingAccountPropertyDelete, Attachment.MessagingAliasAssignment, Attachment.MessagingAliasBuy, Attachment.MessagingAliasDelete, Attachment.MessagingAliasSell, Attachment.MessagingHubAnnouncement, Attachment.MessagingPhasingVoteCasting, Attachment.MessagingPollCreation, Attachment.MessagingVoteCasting, Attachment.MonetarySystemCurrencyDeletion, Attachment.MonetarySystemCurrencyIssuance, Attachment.MonetarySystemCurrencyMinting, Attachment.MonetarySystemCurrencyTransfer, Attachment.MonetarySystemExchange, Attachment.MonetarySystemExchangeBuy, Attachment.MonetarySystemExchangeSell, Attachment.MonetarySystemPublishExchangeOffer, Attachment.MonetarySystemReserveClaim, Attachment.MonetarySystemReserveIncrease, Attachment.PropertyDeleteAttachment, Attachment.SetPhasingOnly, Attachment.ShufflingCancellation, Attachment.ShufflingCreation, Attachment.ShufflingProcessing, Attachment.ShufflingRecipients, Attachment.ShufflingRegistration, Attachment.ShufflingVerification, Attachment.TaggedDataAttachment, Attachment.TaggedDataExtend, Attachment.TaggedDataUpload, Attachment.UnencryptedDigitalGoodsDelivery

      public interface Appendix

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `Appendix.AbstractAppendix`
    `static class` | `Appendix.AbstractEncryptedMessage`
    `static interface` | `Appendix.Encryptable`
    `static class` | `Appendix.EncryptedMessage`
    `static class` | `Appendix.EncryptToSelfMessage`
    `static class` | `Appendix.Message`
    `static class` | `Appendix.Phasing`
    `static interface` | `Appendix.Prunable`
    `static class` | `Appendix.PrunableEncryptedMessage`
    `static class` | `Appendix.PrunablePlainMessage`
    `static class` | `Appendix.PublicKeyAnnouncement`
    `static class` | `Appendix.UnencryptedEncryptedMessage`
    `static class` | `Appendix.UnencryptedEncryptToSelfMessage`
    `static class` | `Appendix.UnencryptedPrunableEncryptedMessage`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `Fee` | `getBaselineFee(Transaction transaction)`
    `int` | `getBaselineFeeHeight()`
    `int` | `getFullSize()`
    `org.json.simple.JSONObject` | `getJSONObject()`
    `Fee` | `getNextFee(Transaction transaction)`
    `int` | `getNextFeeHeight()`
    `int` | `getSize()`
    `byte` | `getVersion()`
    `static boolean` | `hasAppendix(java.lang.String appendixName, org.json.simple.JSONObject attachmentData)`
    `boolean` | `isPhased(Transaction transaction)`
    `void` | `putBytes(java.nio.ByteBuffer buffer)`

- - ### Method Detail

    - #### getSize

          int getSize()

    - #### getFullSize

          int getFullSize()

    - #### putBytes

          void putBytes(java.nio.ByteBuffer buffer)

    - #### getJSONObject

          org.json.simple.JSONObject getJSONObject()

    - #### getVersion

          byte getVersion()

    - #### getBaselineFeeHeight

          int getBaselineFeeHeight()

    - #### getBaselineFee

          Fee getBaselineFee(Transaction transaction)

    - #### getNextFeeHeight

          int getNextFeeHeight()

    - #### getNextFee

          Fee getNextFee(Transaction transaction)

    - #### isPhased

          boolean isPhased(Transaction transaction)

    - #### hasAppendix

          static boolean hasAppendix(java.lang.String appendixName,
                                     org.json.simple.JSONObject attachmentData)